Can't install jitsi-meet debian testing

I see this error while I try to install jitsi-meet on my debian testing, through jitsi repo. But I tried also with .deb file and it’s the same.

sudo apt-get -y install jitsi-meet
Reading package lists… Done
Building dependency tree
Reading state information… Done
jitsi-meet is already the newest version (1.0.4335-1).
0 upgraded, 0 newly installed, 0 to remove and 70 not upgraded.
3 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up jitsi-meet-prosody (1.0.3928-1) …
The given hostname does not exist in the config
dpkg: error processing package jitsi-meet-prosody (–configure):
installed jitsi-meet-prosody package post-installation script subprocess returned error exit status 1
dpkg: dependency problems prevent configuration of jitsi-meet-turnserver:
jitsi-meet-turnserver depends on jitsi-meet-prosody; however:
Package jitsi-meet-prosody is not configured yet.
dpkg: error processing package jitsi-meet-turnserver (–configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of jitsi-meet:
jitsi-meet depends on jitsi-meet-prosody (= 1.0.3928-1); however:
Package jitsi-meet-prosody is not configured yet.
dpkg: error processing package jitsi-meet (–configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
jitsi-meet-prosody
jitsi-meet-turnserver
jitsi-meet
E: Sub-process /usr/bin/dpkg returned an error code (1)

It looks like jitsi-meet is already installed. Perhaps try a purge, check all config files are deleted, then reinstall?

I tried to do a “remove” and a “purge”. Then this is the new output:

sudo apt install jitsi-meet
Reading package lists… Done
Building dependency tree
Reading state information… Done
The following additional packages will be installed:
coturn dnsutils jicofo jitsi-meet-prosody jitsi-meet-turnserver jitsi-meet-web jitsi-meet-web-config jitsi-videobridge2 libevent-core-2.1-7 libevent-extra-2.1-7
libevent-openssl-2.1-7 libevent-pthreads-2.1-7 libhiredis0.14 libirs161 libmariadb3 libpq5 mariadb-common mysql-common sqlite3
Suggested packages:
sip-router rblcheck sqlite3-doc
The following NEW packages will be installed:
coturn dnsutils jitsi-meet jitsi-meet-prosody jitsi-meet-turnserver libevent-core-2.1-7 libevent-extra-2.1-7 libevent-openssl-2.1-7 libevent-pthreads-2.1-7
libhiredis0.14 libirs161 libmariadb3 libpq5 mariadb-common mysql-common sqlite3
The following packages will be upgraded:
jicofo jitsi-meet-web jitsi-meet-web-config jitsi-videobridge2
4 upgraded, 16 newly installed, 0 to remove and 43 not upgraded.
Need to get 69.9 MB/72.6 MB of archives.
After this operation, 7,959 kB of additional disk space will be used.
Do you want to continue? [Y/n]
Reading changelogs… Done
Preconfiguring packages …
(Reading database … 196020 files and directories currently installed.)
Preparing to unpack …/00-jitsi-videobridge2_2.1-163-g63d2f9da-1_all.deb …
Unpacking jitsi-videobridge2 (2.1-163-g63d2f9da-1) over (2.1-157-g389b69ff-1) …
Selecting previously unselected package sqlite3.
Preparing to unpack …/01-sqlite3_3.31.1-4_amd64.deb …
Unpacking sqlite3 (3.31.1-4) …
Selecting previously unselected package libevent-core-2.1-7:amd64.
Preparing to unpack …/02-libevent-core-2.1-7_2.1.11-stable-1_amd64.deb …
Unpacking libevent-core-2.1-7:amd64 (2.1.11-stable-1) …
Selecting previously unselected package libevent-extra-2.1-7:amd64.
Preparing to unpack …/03-libevent-extra-2.1-7_2.1.11-stable-1_amd64.deb …
Unpacking libevent-extra-2.1-7:amd64 (2.1.11-stable-1) …
Selecting previously unselected package libevent-openssl-2.1-7:amd64.
Preparing to unpack …/04-libevent-openssl-2.1-7_2.1.11-stable-1_amd64.deb …
Unpacking libevent-openssl-2.1-7:amd64 (2.1.11-stable-1) …
Selecting previously unselected package libevent-pthreads-2.1-7:amd64.
Preparing to unpack …/05-libevent-pthreads-2.1-7_2.1.11-stable-1_amd64.deb …
Unpacking libevent-pthreads-2.1-7:amd64 (2.1.11-stable-1) …
Selecting previously unselected package libhiredis0.14:amd64.
Preparing to unpack …/06-libhiredis0.14_0.14.1-1_amd64.deb …
Unpacking libhiredis0.14:amd64 (0.14.1-1) …
Selecting previously unselected package mysql-common.
Preparing to unpack …/07-mysql-common_5.8+1.0.5_all.deb …
Unpacking mysql-common (5.8+1.0.5) …
Selecting previously unselected package mariadb-common.
Preparing to unpack …/08-mariadb-common_1%3a10.3.22-1_all.deb …
Unpacking mariadb-common (1:10.3.22-1) …
Selecting previously unselected package libmariadb3:amd64.
Preparing to unpack …/09-libmariadb3_1%3a10.3.22-1_amd64.deb …
Unpacking libmariadb3:amd64 (1:10.3.22-1) …
Selecting previously unselected package libpq5:amd64.
Preparing to unpack …/10-libpq5_12.2-4_amd64.deb …
Unpacking libpq5:amd64 (12.2-4) …
Selecting previously unselected package coturn.
Preparing to unpack …/11-coturn_4.5.1.1-1.1+b2_amd64.deb …
Unpacking coturn (4.5.1.1-1.1+b2) …
Selecting previously unselected package libirs161:amd64.
Preparing to unpack …/12-libirs161_1%3a9.11.16+dfsg-2_amd64.deb …
Unpacking libirs161:amd64 (1:9.11.16+dfsg-2) …
Selecting previously unselected package dnsutils.
Preparing to unpack …/13-dnsutils_1%3a9.11.16+dfsg-2_amd64.deb …
Unpacking dnsutils (1:9.11.16+dfsg-2) …
Preparing to unpack …/14-jicofo_1.0-541-1_all.deb …
Unpacking jicofo (1.0-541-1) over (1.0-539-1) …
Preparing to unpack …/15-jitsi-meet-web_1.0.3962-1_all.deb …
Unpacking jitsi-meet-web (1.0.3962-1) over (1.0.3928-1) …
Preparing to unpack …/16-jitsi-meet-web-config_1.0.3962-1_all.deb …
Unpacking jitsi-meet-web-config (1.0.3962-1) over (1.0.3928-1) …
Selecting previously unselected package jitsi-meet-prosody.
Preparing to unpack …/17-jitsi-meet-prosody_1.0.3962-1_all.deb …
Unpacking jitsi-meet-prosody (1.0.3962-1) …
Selecting previously unselected package jitsi-meet.
Preparing to unpack …/18-jitsi-meet_2.0.4376-1_all.deb …
Unpacking jitsi-meet (2.0.4376-1) …
Selecting previously unselected package jitsi-meet-turnserver.
Preparing to unpack …/19-jitsi-meet-turnserver_1.0.3962-1_all.deb …
Unpacking jitsi-meet-turnserver (1.0.3962-1) …
Setting up mysql-common (5.8+1.0.5) …
update-alternatives: using /etc/mysql/my.cnf.fallback to provide /etc/mysql/my.cnf (my.cnf) in auto mode
Setting up jitsi-meet-prosody (1.0.3962-1) …
The given hostname does not exist in the config
dpkg: error processing package jitsi-meet-prosody (–configure):
installed jitsi-meet-prosody package post-installation script subprocess returned error exit status 1
Setting up jitsi-meet-web-config (1.0.3962-1) …
You can now switch to a Let’s Encrypt certificate. To do so, execute:
/usr/share/jitsi-meet/scripts/install-letsencrypt-cert.sh
Setting up libpq5:amd64 (12.2-4) …
Setting up libirs161:amd64 (1:9.11.16+dfsg-2) …
Setting up dnsutils (1:9.11.16+dfsg-2) …
Setting up jitsi-videobridge2 (2.1-163-g63d2f9da-1) …

  • Applying /etc/sysctl.d/20-jvb-udp-buffers.conf …
    net.core.rmem_max = 10485760
    net.core.netdev_max_backlog = 100000
  • Applying /usr/lib/sysctl.d/30-tracker.conf …
    fs.inotify.max_user_watches = 65536
  • Applying /usr/lib/sysctl.d/50-pid-max.conf …
    kernel.pid_max = 4194304
  • Applying /etc/sysctl.d/99-sysctl.conf …
    vm.swappiness = 5
  • Applying /usr/lib/sysctl.d/protect-links.conf …
    fs.protected_fifos = 1
    fs.protected_hardlinks = 1
    fs.protected_regular = 2
    fs.protected_symlinks = 1
  • Applying /etc/sysctl.conf …
    vm.swappiness = 5
    Setting up jicofo (1.0-541-1) …
    Setting up mariadb-common (1:10.3.22-1) …
    update-alternatives: using /etc/mysql/mariadb.cnf to provide /etc/mysql/my.cnf (my.cnf) in auto mode
    Setting up libevent-core-2.1-7:amd64 (2.1.11-stable-1) …
    dpkg: dependency problems prevent configuration of jitsi-meet-turnserver:
    jitsi-meet-turnserver depends on jitsi-meet-prosody; however:
    Package jitsi-meet-prosody is not configured yet.

dpkg: error processing package jitsi-meet-turnserver (–configure):
dependency problems - leaving unconfigured
Setting up libmariadb3:amd64 (1:10.3.22-1) …
dpkg: dependency problems prevent configuration of jitsi-meet:
jitsi-meet depends on jitsi-meet-prosody (= 1.0.3962-1); however:
Package jitsi-meet-prosody is not configured yet.

dpkg: error processing package jitsi-meet (–configure):
dependency problems - leaving unconfigured
Setting up jitsi-meet-web (1.0.3962-1) …
Setting up sqlite3 (3.31.1-4) …
Setting up libevent-pthreads-2.1-7:amd64 (2.1.11-stable-1) …
Setting up libhiredis0.14:amd64 (0.14.1-1) …
Setting up libevent-extra-2.1-7:amd64 (2.1.11-stable-1) …
Setting up libevent-openssl-2.1-7:amd64 (2.1.11-stable-1) …
Setting up coturn (4.5.1.1-1.1+b2) …
Processing triggers for systemd (244.3-1) …
Processing triggers for man-db (2.9.1-1) …
Processing triggers for libc-bin (2.30-2) …
Errors were encountered while processing:
jitsi-meet-prosody
jitsi-meet-turnserver
jitsi-meet
needrestart is being skipped since dpkg has failed
E: Sub-process /usr/bin/dpkg returned an error code (1)

What did you enter when prompted?

It does’t prompt an hostname, I enter nothing

Update: I just tried on debian 10 stable and all works fine

Any news with Debian testing?